MongoCursor::setReadPreference
MongoCursor::slaveOkay
MongoCursor
PHP Manual

# MongoCursor::skip

(PECL mongo >=0.9.0)

MongoCursor::skip — Skips a number of results

### Description

public MongoCursor MongoCursor::skip ( int `$num` )

### Parameters

`num`

  The number of results to skip.

### Return Values

Returns this cursor.

### Errors/Exceptions

Throws MongoCursorException if this cursor has started iterating.

### See Also

- MongoCursor::limit() - Limits the number of results returned

MongoCursor::setReadPreference
MongoCursor::slaveOkay
MongoCursor
PHP Manual